Open CASCADE Technology: Geom2dLProp_CurAndInf2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Geom2dLProp_CurAndInf2d Class Reference

An algorithm for computing local properties of a curve. These properties include: More...

`#include <Geom2dLProp_CurAndInf2d.hxx>`

Inheritance diagram for Geom2dLProp_CurAndInf2d:
[legend]

## Public Member Functions
| Geom2dLProp_CurAndInf2d ()
| Initializes the framework. Note: The curve on which the local properties are computed is defined using one of the following functions: Perform, PerformCurExt or PerformInf. More...
void | Perform (const Handle< Geom2d_Curve > &C)
| For the curve C, Computes both the inflection points and the maximum and minimum curvatures. More...
void | PerformCurExt (const Handle< Geom2d_Curve > &C)
| For the curve C, Computes the locals extremas of curvature. More...
void | PerformInf (const Handle< Geom2d_Curve > &C)
| For the curve C, Computes the inflections. After computation, the following functions can be used: More...
Standard_Boolean | IsDone () const
| True if the solutions are found. More...
Public Member Functions inherited from LProp_CurAndInf
| LProp_CurAndInf ()
void | AddInflection (const Standard_Real Param)
void | AddExtCur (const Standard_Real Param, const Standard_Boolean IsMin)
void | Clear ()
Standard_Boolean | IsEmpty () const
Standard_Integer | NbPoints () const
| Returns the number of points. The Points are stored to increasing parameter. More...
Standard_Real | Parameter (const Standard_Integer N) const
| Returns the parameter of the Nth point. raises if N not in the range [1,NbPoints()]. More...
LProp_CIType | Type (const Standard_Integer N) const
| Returns. More...

## Detailed Description

An algorithm for computing local properties of a curve. These properties include:

- the maximum and minimum curvatures
- the inflection points. A CurAndInf2d object provides the framework for:
- defining the curve to be analyzed
- implementing the computation algorithms
- consulting the results.

## Constructor & Destructor Documentation

Geom2dLProp_CurAndInf2d::Geom2dLProp_CurAndInf2d | ( |  | ) |

Initializes the framework. Note: The curve on which the local properties are computed is defined using one of the following functions: Perform, PerformCurExt or PerformInf.

## Member Function Documentation

Standard_Boolean Geom2dLProp_CurAndInf2d::IsDone | ( |  | ) | const

True if the solutions are found.

void Geom2dLProp_CurAndInf2d::Perform | ( | const Handle< Geom2d_Curve > & | C | ) |

For the curve C, Computes both the inflection points and the maximum and minimum curvatures.

void Geom2dLProp_CurAndInf2d::PerformCurExt | ( | const Handle< Geom2d_Curve > & | C | ) |

For the curve C, Computes the locals extremas of curvature.

void Geom2dLProp_CurAndInf2d::PerformInf | ( | const Handle< Geom2d_Curve > & | C | ) |

For the curve C, Computes the inflections. After computation, the following functions can be used:

- IsDone to check if the computation was successful
- NbPoints to obtain the number of computed particular points
- Parameter to obtain the parameter on the curve for each particular point
- Type to check if the point is an inflection point or an extremum of curvature of the curve C. Warning These functions can be used to analyze a series of curves, however it is necessary to clear the table of results between each computation.

The documentation for this class was generated from the following file:

- Geom2dLProp_CurAndInf2d.hxx